Bug 254226 - autofs reload and condrestart fail if map is originally empty
autofs reload and condrestart fail if map is originally empty
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: autofs (Show other bugs)
All Linux
medium Severity low
: rc
: ---
Assigned To: Ian Kent
Brock Organ
: Regression
Depends On:
Blocks: 306631
  Show dependency treegraph
Reported: 2007-08-24 16:37 EDT by Jeffrey Moyer
Modified: 2008-05-21 10:37 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0354
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 10:37:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeffrey Moyer 2007-08-24 16:37:48 EDT
+++ This bug was initially created as a clone of Bug #199441 +++

Description of problem:

autofs doesn't start up when running "service autofs start" if the maps are
empty.  I understand that 
this is probably by design, but it leads to another bug.

If you have autofs on in chkconfig, then change the map and call "service autofs
reload", it should load 
the new map.  However, because the service doesn't start when the map is empty,
the reload (as well as 
the condrestart) both fail to make autofs turn on.

When autofs is turned on in chkconfig, scripts and programs should have the
expectation that autofs is 
running when the machine is on, and should be able to call condrestart and
reload without worrying 
about it failing.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Autofs is off; user is root
2. Supply an empty /etc/auto.master file (the default file installed by the rpm
is fine)
3. Run "/sbin/service autofs start"
4. Replace the auto.master file with one that has at least one mount
5. Call "/sbin/service autofs reload" or "/sbin/service autofs condrestart"
Actual results:

autofs fails to reload / restart.

Expected results:

autofs SHOULD reload / restart

Additional info:

-- Additional comment from ayacoub@yahoo.com on 2006-07-19 12:41 EST --
Created an attachment (id=132695)
Patch for /etc/init.d/autofs

This one-line patch fixes this bug.  This init.d file is written, however, for
both Debian and RedHat.  My patch only addresses the issue on RedHat.  I don't
even know if the bug exists on Debian.
Comment 1 RHEL Product and Program Management 2007-08-28 01:27:15 EDT
This bugzilla has Keywords: Regression.  

Since no regressions are allowed between releases, 
it is also being proposed as a blocker for this release.  

Please resolve ASAP.
Comment 3 Ian Kent 2007-11-15 07:13:30 EST
This issue is resolved in autofs-5.0.1-0.rc2.64.
Comment 7 errata-xmlrpc 2008-05-21 10:37:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.